Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## infomat.algorithms.grouping
Class GroupingAlgorithm

    java.lang.Object
      infomat.algorithms.grouping.GroupingAlgorithm

All Implemented Interfaces:
  HasProperties, UniqueIdentifiable

Direct Known Subclasses:
  BisectingKMeans, IVectorCategorizer, KMeans, LocationGrouper, RandomClusterer, RelativeClusterer

    public abstract class GroupingAlgorithm

extends java.lang.Object
implements HasProperties, UniqueIdentifiable

GroupingAlgorithm.

Field Summary
`protected UniqueIdentifier` | `identifier`
`protected boolean` | `printGroupSizesInIterations`
`protected Properties` | `properties`

Constructor Summary
`GroupingAlgorithm()`

Method Summary
`abstract IObjectGrouping` | `cluster(IObjectGroup group)` Clusters the IObjectGroup.
`abstract IObjectGrouping` | `cluster(IObjectSet set)` Clusters the entire IObjectSet.
`abstract java.lang.String` | `getAlgorithmName()`
`abstract java.lang.String` | `getInfoString()`
`abstract java.util.Vector` | `getPropertyVector()`
`protected void` | `printGroup(IObjectGroup group)` For debuggin purposes!
`protected void` | `printGroupSizes(java.util.Vector<IObjectGroup> groups)` For debuggin purposes!

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface mro.util.properties.HasProperties
`getDefaultProperties, getProperties, getPropertyValue, setProperties, setProperty`

Methods inherited from interface mro.util.UniqueIdentifiable
`getUniqueIdentifier, setUniqueIdentifier`

Field Detail

### properties

    protected Properties properties

### identifier

    protected UniqueIdentifier identifier

### printGroupSizesInIterations

    protected boolean printGroupSizesInIterations

Constructor Detail

### GroupingAlgorithm

    public GroupingAlgorithm()

Method Detail

### cluster

    public abstract IObjectGrouping cluster(IObjectSet set)

  Clusters the entire IObjectSet. Stores the clustering in the IObjectSet.

### cluster

    public abstract IObjectGrouping cluster(IObjectGroup group)

  Clusters the IObjectGroup. Does not store the result.

### getInfoString

    public abstract java.lang.String getInfoString()

### getAlgorithmName

    public abstract java.lang.String getAlgorithmName()

### getPropertyVector

    public abstract java.util.Vector getPropertyVector()

### printGroupSizes

    protected void printGroupSizes(java.util.Vector<IObjectGroup> groups)

  For debuggin purposes!

### printGroup

    protected void printGroup(IObjectGroup group)

  For debuggin purposes!

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD